Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::ReedTable Class Reference

STK reed table class. More...

`#include <ReedTable.h>`

Inheritance diagram for stk::ReedTable:

List of all members.

## Public Member Functions
| ReedTable (void)
| Default constructor.
void | setOffset (StkFloat offset)
| Set the table offset value.
void | setSlope (StkFloat slope)
| Set the table slope value.
StkFloat | tick (StkFloat input)
| Take one sample input and map to one sample of output.
StkFrames & | tick (StkFrames &frames, unsigned int channel=0)
| Take a channel of the StkFrames object as inputs to the table and replace with corresponding outputs.
StkFrames & | tick (StkFrames &iFrames, StkFrames &oFrames, unsigned int iChannel=0, unsigned int oChannel=0)
| Take a channel of the `iFrames` object as inputs to the table and write outputs to the `oFrames` object.

## Detailed Description

STK reed table class.

This class implements a simple one breakpoint, non-linear reed function, as described by Smith (1986). This function is based on a memoryless non-linear spring model of the reed (the reed mass is ignored) which saturates when the reed collides with the mouthpiece facing.

See McIntyre, Schumacher, & Woodhouse (1983), Smith (1986), Hirschman, Cook, Scavone, and others for more information.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Member Function Documentation

void stk::ReedTable::setOffset | ( | StkFloat | offset | ) | `[inline]`

Set the table offset value.

The table offset roughly corresponds to the size of the initial reed tip opening (a greater offset represents a smaller opening).

void stk::ReedTable::setSlope | ( | StkFloat | slope | ) | `[inline]`

Set the table slope value.

The table slope roughly corresponds to the reed stiffness (a greater slope represents a harder reed).

StkFrames & stk::ReedTable::tick | ( | StkFrames & | frames,
|  | unsigned int | channel = `0` |
| ) |  |  | `[inline]`

Take a channel of the StkFrames object as inputs to the table and replace with corresponding outputs.

The StkFrames argument reference is returned. The `channel` argument must be less than the number of channels in the StkFrames argument (the first channel is specified by 0). However, range checking is only performed if _STK_DEBUG_ is defined during compilation, in which case an out-of-range value will trigger an StkError exception.

StkFrames & stk::ReedTable::tick | ( | StkFrames & | iFrames,
|  | StkFrames & | oFrames,
|  | unsigned int | iChannel = `0`,
|  | unsigned int | oChannel = `0` |
| ) |  |  | `[inline]`

Take a channel of the `iFrames` object as inputs to the table and write outputs to the `oFrames` object.

The `iFrames` object reference is returned. Each channel argument must be less than the number of channels in the corresponding StkFrames argument (the first channel is specified by 0). However, range checking is only performed if _STK_DEBUG_ is defined during compilation, in which case an out-of-range value will trigger an StkError exception.

The documentation for this class was generated from the following file:

- ReedTable.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.